using APT.BaseData.Domain.Entities;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace APT.BaseData.Domain.Entities.FM
{
	/// <summary>
	/// 系统日志表
	/// </summary>
	[Description("系统日志表")]
	[IgnoreT4]public class T_PF_SYS_LOG: MesEntityBase
	{
		/// <summary>
		/// 日志类型
		/// </summary>
		[EnumName("PFSysLogTypeEnum")]
		[Description("日志类型")]
		public int LOG_TYPE { get; set; }

		/// <summary>
		/// 用户ID
		/// </summary>
		[Description("用户ID")]
		public Guid USER_ID { get; set; }

		/// <summary>
		/// 表单
		/// </summary>
		[Description("表单ID")]
		public Guid? LOG_FORM_ID { get; set; }

		/// <summary>
		/// 时间
		/// </summary>
		[Description("时间")]
		public DateTime LOG_TIME { get; set; }

		/// <summary>
		/// 标题
		/// </summary>
		[Description("标题")]
		public string LOG_TITLE { get; set; }

		/// <summary>
		/// 数据
		/// </summary>
		[Description("数据")]
		public string LOG_DATA { get; set; }

		/// <summary>
		/// 额外数据
		/// </summary>
		[Description("额外数据")]
		public string EXT_DATA { get; set; }

		/// <summary>
		/// 客户端主机名称
		/// </summary>
		[Description("客户端主机名称")]
		public string HOST_NAME { get; set; }


		/// <summary>
		/// 浏览器名称
		/// </summary>
		[Description("浏览器名称")]
		public string BROWSER_NAME { get; set; }


		/// <summary>
		/// 用户
		/// </summary>
		[Description("用户")]
		public virtual T_FM_USER Nav_User { get; set; }
		/// <summary>
		/// 表单
		/// </summary>
		[Description("表单")]
		public virtual T_PF_FORM Nav_LogForm { get; set; }
	}
}
